package br.uff.commerce.domain.product;

public class Product
{
	private long id;
	private String name;
	
	public Product(long id, String name)
	{
		this.id = id;
		this.setName(name);
	}
	
	public long getId()
	{
		return this.id;
	}
	
	public String getName()
	{
		return this.name;
	}
	
	public final void setName(String name)
	{
		if (name == null || name.trim().isEmpty())
			throw new IllegalArgumentException("Name is mandatory.");
		
		this.name = name;
	}	

}
